org.apache.solr.update

## Class SolrCmdDistributor

- java.lang.Object
- - org.apache.solr.update.SolrCmdDistributor

-     public class SolrCmdDistributor
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SolrCmdDistributor.AbortCheck`
    `static class` | `SolrCmdDistributor.Error`
    `static class` | `SolrCmdDistributor.Node`
    `static class` | `SolrCmdDistributor.Req`
    `static class` | `SolrCmdDistributor.Response`
    `static class` | `SolrCmdDistributor.RetryNode`
    `static class` | `SolrCmdDistributor.StdNode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Diagnostics.Callable` | `testing_errorHook`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrCmdDistributor(StreamingSolrClients clients, int maxRetriesOnForward, int retryPause)`
    `SolrCmdDistributor(UpdateShardHandler updateShardHandler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `blockAndDoRetries()`
    `void` | `distribAdd(AddUpdateCommand cmd, List<SolrCmdDistributor.Node> nodes, ModifiableSolrParams params)`
    `void` | `distribAdd(AddUpdateCommand cmd, List<SolrCmdDistributor.Node> nodes, ModifiableSolrParams params, boolean synchronous)`
    `void` | `distribAdd(AddUpdateCommand cmd, List<SolrCmdDistributor.Node> nodes, ModifiableSolrParams params, boolean synchronous, DistributedUpdateProcessor.RequestReplicationTracker rrt)`
    `void` | `distribCommit(CommitUpdateCommand cmd, List<SolrCmdDistributor.Node> nodes, ModifiableSolrParams params)`
    `void` | `distribDelete(DeleteUpdateCommand cmd, List<SolrCmdDistributor.Node> nodes, ModifiableSolrParams params)`
    `void` | `distribDelete(DeleteUpdateCommand cmd, List<SolrCmdDistributor.Node> nodes, ModifiableSolrParams params, boolean sync)`
    `void` | `finish()`
    `List<SolrCmdDistributor.Error>` | `getErrors()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### testing_errorHook

          public static Diagnostics.Callable testing_errorHook

  - ### Constructor Detail

    - #### SolrCmdDistributor

          public SolrCmdDistributor(UpdateShardHandler updateShardHandler)

    - #### SolrCmdDistributor

          public SolrCmdDistributor(StreamingSolrClients clients,
                                    int maxRetriesOnForward,
                                    int retryPause)

  - ### Method Detail

    - #### finish

          public void finish()

    - #### distribDelete

          public void distribDelete(DeleteUpdateCommand cmd,
                                    List<SolrCmdDistributor.Node> nodes,
                                    ModifiableSolrParams params)
                             throws IOException

      Throws:
        `IOException`

    - #### distribDelete

          public void distribDelete(DeleteUpdateCommand cmd,
                                    List<SolrCmdDistributor.Node> nodes,
                                    ModifiableSolrParams params,
                                    boolean sync)
                             throws IOException

      Throws:
        `IOException`

    - #### distribAdd

          public void distribAdd(AddUpdateCommand cmd,
                                 List<SolrCmdDistributor.Node> nodes,
                                 ModifiableSolrParams params)
                          throws IOException

      Throws:
        `IOException`

    - #### distribAdd

          public void distribAdd(AddUpdateCommand cmd,
                                 List<SolrCmdDistributor.Node> nodes,
                                 ModifiableSolrParams params,
                                 boolean synchronous)
                          throws IOException

      Throws:
        `IOException`

    - #### distribAdd

          public void distribAdd(AddUpdateCommand cmd,
                                 List<SolrCmdDistributor.Node> nodes,
                                 ModifiableSolrParams params,
                                 boolean synchronous,
                                 DistributedUpdateProcessor.RequestReplicationTracker rrt)
                          throws IOException

      Throws:
        `IOException`

    - #### distribCommit

          public void distribCommit(CommitUpdateCommand cmd,
                                    List<SolrCmdDistributor.Node> nodes,
                                    ModifiableSolrParams params)
                             throws IOException

      Throws:
        `IOException`

    - #### blockAndDoRetries

          public void blockAndDoRetries()

    - #### getErrors

          public List<SolrCmdDistributor.Error> getErrors()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.